During a short security test, SEC Consult found several severe security
vulnerabilities in the OSCI 1.2 Transport library.

http://seclists.org/bugtraq/2017/Jun/56